tbb::atomic< T > Struct Template Reference
Synchronization

Primary template for atomic. More...

`#include <atomic.h>`

Inheritance diagram for tbb::atomic< T >:

## Public Member Functions

constexpr | atomic (T arg)
T | operator= (T rhs)
atomic< T > & | operator= (const atomic< T > &rhs)

## Detailed Description

### template<typename T>
struct tbb::atomic< T >

Primary template for atomic.

See the Reference for details.

The documentation for this struct was generated from the following file:

- atomic.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.